---
  #playbook to test items on localhost

- hosts: desktop
  gather_facts: yes
#  become: true

  vars:
      docker:
        init_config:
        instances:
          - url: "unix://var/run/docker.sock"
            new_tag_names: true

      dockerhost:
        users:
          - dd-agent
          - richard
          - ansible

      users:
        - name: "ansible"
          state: present
          shell: /bin/bash
          createhome: yes
          generate_ssh_key: yes
          password: "$6$7z7PfYwduXom0o73$DEiy3K15URNNjmKkOQIwx8/mFKArUNYkFn8D/4q6t/eP9hf1X9jnG4YuSjI7q1Dnp1HwukZUxZY7cF2JK5DO/."
          ssh_keys:
            - "ssh-rsa AAAAB3NzaC1yc2EAAAABJQAAAIEAmJSdmj03d4fnZUuRByevPDNiReEk1fRL+7F9WPCo5zn+r5Oj84HXxd4P03DNXeGSBYmUAnsTqYEGdkjkpSrKfMm9bv8amL7hUC+Mzb+wOmXmyX1cw/SearYCBQRCz1s5p7I9+PO7XWaC0VJ99LUm1Bp4JM149U5X0Y3M2j2XV+0= RSA-1024"
          uid: "1001"
          groups:
            - sudo


  roles:
    - novuso.users
#    - dockerhost
#    - jenkins
#    - devtools
#    - {
#        role: website,
#        server_hostname: "htmlgames.xai-corp.net",
#        server_root: "/var/www/{{ server_hostname }}",
#        repo: "/home/richard/Documents/Aptana\ Studio\ 3/xai-corp\ workspace/htmlgames/"
#    }

  tasks:
    - name: test connection
      ping:
